<?php
namespace Ecommerce\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Report\Strategy\QR2Strategy;

class SUP09403 extends \Zeedhi\Framework\Controller\Report
{

    /** @var array */
    protected $reportMapping = array(
        'SUP09403' =>
            array(
                'strategy' => 'QR2',
                'parameterMapping' =>
                    array(
                        'CDFORNECED' => 'P_CDFORNECED',
                        'TDTVENC' => 'P_TDTVENC',
                        'DTINICIAL' => 'P_DTINICIAL',
                        'DTFINAL' => 'P_DTFINAL',
                        'TDTPAGA' => 'P_TDTPAGA',
                        'DTPAGINI' => 'p_DTPAGINI',
                        'DTPAGFIN' => 'P_DTPAGFIN',
                        'TNF' => 'P_TNF',
                        'NF' => 'P_NF',
                        'TEMPRESA' => 'P_TEMPRESA',
                        'CDEMPRESA' => 'P_CDEMPRESA'
                    )
            )
    );
    protected $QR2Strategy;

    public function __construct($reportService, $QR2Strategy)
    {
        $this->QR2Strategy = $QR2Strategy;
        $this->reportService = $reportService;
    }

    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response)
    {
        $row = $request->getRow();
        $this->QR2Strategy->setQr2Type($row['QR2TYPE']);
    }


}