<?php
namespace Ecommerce\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\Model\Suprimentos\Entities\Itempedcol;

class updateItemPedidoCotacaoService
{

    protected $entityManager;

    public function __construct(EntityManager $entityManager)
    {
        $this->entityManager = $entityManager;
    }
    
    public function iniciaTransacao(){
        $this->entityManager->beginTransaction();
    }

    public function commit(){
        $this->entityManager->commit();
    }

    public function flush(){
        $this->entityManager->flush();
    }

    public function rollback(){
        $this->entityManager->rollback();
    }

    public function updateItemPedidoCotacao($cdfilial, $cdproduto, $cdmarca, $vrprecren, $nrorg){
        
        $itempedcol = $this->entityManager->getRepository('Teknisa\Model\Suprimentos\Entities\Itempedcol')
            ->findOneBy(array('cdfilial' => $cdfilial,
                              'cdproduto' => $cdproduto, 
                              'cdmarca' => $cdmarca));
                              
                              
        
        if($itempedcol instanceof Itempedcol){
            $itempedcol->setVrprecren($vrprecren);
            $itempedcol->setNrorgultatu($nrorg);
            $itempedcol->setDtultatu(new \DateTime());
            
            $this->entityManager->persist($itempedcol);
        }
    }

}