var InfoController = function(InfoService, PadraoExibicao, templateManager) {

	const self = this;

	this.infoOnEnter = function() {
		const formWidget = templateManager.container.getWidget('form');
		
		formWidget.dataSourceFilter = [
			{"name": "P_CDFORNECED", "operator": "=", "value": getLocalVar('CDFORNECED')},	
			{"name": "P_NRORG",      "operator": "=", "value": getLocalVar('NRORGTRAB')}	
		];
		
		formWidget.reload().then(function(callback) {
			const fieldLinkAux = formWidget.getField('DSLINKAUXILIAR');
			const informacoes = callback.dataset.informacoes[0];
			informacoes.ENDERECO_WEBSERVICE = retornaDnsWebservice();
			informacoes.NRINSJUREMPR = PadraoExibicao.mascaraFornecedor('J', informacoes.NRINSJUREMPR);
			self.setPropertyFieldLinkAux(fieldLinkAux, informacoes.DSLINKAUXILIAR, informacoes.DSNOMELINKAUX);
			
			formWidget.currentRow = informacoes;
			formWidget.activate();
		});
	};
	
	function retornaDnsWebservice() {
		const dnsProduto = window.location.origin;
	    const backend = templateManager.getMappedServicePackages().default[0].replace(/\..\//g, '');
		let caminho = window.location.pathname.replace('//', '/');
		const mobile = caminho.indexOf('mobile');
		
		if (mobile !== -1) {
	        caminho = caminho.substring(0, mobile);
	    }
	    
	    let dnsWebservice = `${dnsProduto}${caminho}${backend}/webService/getAvailableAFs`;
	    
	    return dnsWebservice;
	}
	
	this.setPropertyFieldLinkAux = function(field, value, label) {
		if (value) {
			field.label = label;
		} else {
			field.isVisible = false;
		}
	};
	
	this.corStatus = function(element) {
        element.css('color', 'red');
    };
};

Configuration(function(ContextRegister) {
	ContextRegister.register('InfoController', InfoController);
});
